options.css 4.4 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299
  1. html.opera {
  2. display: flex;
  3. align-items: center;
  4. justify-content: center;
  5. height: 100%;
  6. }
  7. html.opera body {
  8. width: auto;
  9. }
  10. html.firefox .block {
  11. padding-left: 6px;
  12. }
  13. html.firefox #notes {
  14. padding-left: calc(6px + 2ex);
  15. }
  16. body {
  17. background: #fff;
  18. margin: 0;
  19. font-family: "Helvetica Neue", Helvetica, sans-serif;
  20. font-size: 12px;
  21. width: 480px;
  22. min-width: 400px;
  23. max-width: 800px;
  24. }
  25. @media (min-width: 401px) {
  26. .firefox body {
  27. width: calc(100% - 6px); /* TODO: rework to avoid compensating padding of 'html.firefox .block' */
  28. }
  29. }
  30. .firefox .chromium-only {
  31. display: none;
  32. }
  33. .block {
  34. display: flex;
  35. align-items: center;
  36. margin: 1em 0;
  37. border-bottom: 1px dotted #ccc;
  38. padding: 0 16px .75em;
  39. position: relative;
  40. }
  41. .block:last-child {
  42. border-bottom: none;
  43. padding-bottom: 0;
  44. }
  45. .collapsed, .collapsible h1 {
  46. cursor: pointer;
  47. }
  48. .collapsed .items {
  49. display: none;
  50. }
  51. h1 {
  52. width: 30%;
  53. margin: 0;
  54. font-size: 120%;
  55. font-weight: bold;
  56. padding-right: 8px;
  57. box-sizing: border-box;
  58. overflow-wrap: break-word;
  59. }
  60. .items {
  61. width: 70%;
  62. }
  63. label {
  64. display: flex;
  65. margin: .25ex 0;
  66. align-items: center;
  67. }
  68. label > :first-child {
  69. margin-right: 8px;
  70. flex-grow: 1;
  71. }
  72. label:not([disabled]) > :first-child {
  73. cursor: default;
  74. }
  75. label:not([disabled]):hover > :first-child {
  76. text-shadow: 0 0 0.01px rgba(0, 0, 0, .25);
  77. cursor: pointer;
  78. }
  79. button,
  80. input[type=number],
  81. input[type="color"],
  82. select,
  83. .onoffswitch {
  84. width: 60px;
  85. box-sizing: border-box;
  86. flex-shrink: 0;
  87. }
  88. a {
  89. text-decoration-skip: ink;
  90. }
  91. button {
  92. text-align: center;
  93. }
  94. input[type=number] {
  95. text-align: right;
  96. }
  97. input[type=number]:invalid {
  98. background-color: rgba(255, 0, 0, 0.1);
  99. color: darkred;
  100. }
  101. input[type="color"] {
  102. box-sizing: border-box;
  103. height: 2em;
  104. }
  105. .iconset {
  106. display: flex;
  107. }
  108. .iconset input {
  109. display: block;
  110. }
  111. #actions {
  112. justify-content: space-around;
  113. align-items: stretch;
  114. padding-right: 8px;
  115. }
  116. #actions button {
  117. width: auto;
  118. margin-right: 8px;
  119. }
  120. [data-cmd="check-updates"] button {
  121. position: relative;
  122. }
  123. .update-in-progress [data-cmd="check-updates"] {
  124. opacity: .5;
  125. pointer-events: none;
  126. }
  127. .update-in-progress #update-progress {
  128. position: absolute;
  129. top: 0;
  130. left: 0;
  131. bottom: 0;
  132. background-color: currentColor;
  133. content: "";
  134. opacity: .35;
  135. }
  136. #updates-installed {
  137. position: absolute;
  138. font-size: 85%;
  139. margin-top: 1px;
  140. }
  141. #updates-installed::after {
  142. content: attr(data-value);
  143. margin-left: .5ex;
  144. font-weight: bold;
  145. }
  146. #updates-installed:not([data-value]),
  147. #updates-installed[data-value=""] {
  148. display: none;
  149. }
  150. #advanced.collapsible.collapsed {
  151. height: 40px;
  152. padding: 0;
  153. margin: 0;
  154. justify-content: center;
  155. }
  156. html:not(.firefox):not(.opera) #options > .block:nth-last-of-type(3) {
  157. margin-bottom: 0;
  158. }
  159. #advanced.collapsible:not(.collapsed) .collapsible-resizer,
  160. #advanced:not(.collapsible) .collapsible-resizer {
  161. padding-right: 8px;
  162. box-sizing: border-box;
  163. width: 30%;
  164. }
  165. #advanced.collapsible h1 {
  166. width: unset;
  167. padding: 0;
  168. color: #333;
  169. transition: color .5s;
  170. display: inline-flex;
  171. align-items: center;
  172. }
  173. #advanced:not(.collapsible) .collapsible-resizer h1 {
  174. width: unset;
  175. padding: 0;
  176. display: inline-flex;
  177. }
  178. #advanced.collapsible:not(.collapsed) h1:hover {
  179. color: #666;
  180. }
  181. #advanced.collapsible.collapsed h1 {
  182. padding: 0;
  183. color: #666;
  184. }
  185. #advanced.collapsible.collapsed:hover h1 {
  186. color: #333;
  187. }
  188. #advanced.collapsible .svg-icon {
  189. fill: #333;
  190. transition: fill .5s;
  191. height: 16px;
  192. width: 16px;
  193. }
  194. #advanced.collapsible.collapsed .svg-icon,
  195. #advanced.collapsible:not(.collapsed) h1:hover .svg-icon {
  196. fill: #666;
  197. }
  198. #advanced.collapsible.collapsed:hover .svg-icon {
  199. fill: #333;
  200. }
  201. #advanced.collapsible h1 .svg-icon {
  202. margin-left: 2px;
  203. }
  204. #advanced.collapsible.collapsed .is-expanded,
  205. #advanced:not(.collapsible) .svg-icon {
  206. display: none;
  207. }
  208. #advanced.collapsible:not(.collapsed) .is-collapsed {
  209. display: none;
  210. }
  211. #notes {
  212. background-color: #f4f4f4;
  213. padding: 1.5ex 16px 1ex calc(16px + 2ex);
  214. font-size: 90%;
  215. color: #777;
  216. }
  217. #notes ol {
  218. margin: 0;
  219. padding: 0;
  220. }
  221. #notes li:not(last-child) {
  222. margin-bottom: 1ex;
  223. }
  224. #notes a {
  225. color: inherit;
  226. }
  227. #notes a:hover {
  228. color: black;
  229. }
  230. #notes p {
  231. line-height: 1.25;
  232. margin-top: 1ex;
  233. margin-bottom: 1ex;
  234. }
  235. sup {
  236. vertical-align: baseline;
  237. position: relative;
  238. top: -0.4em;
  239. }
  240. @keyframes fadeinout {
  241. 0% { opacity: 0 }
  242. 10% { opacity: 1 }
  243. 25% { opacity: 1 }
  244. 100% { opacity: 0 }
  245. }